Get folder ZIP file
GET
/zip-file/f/{id}
const url = 'https://api.colourbox.com/zip-file/f/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.colourbox.com/zip-file/f/examplePoll the state of a ZIP job started with
POST /folder/:id/zip-file.
The path is /zip-file/ followed by the job_id, slash included.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The part of the job_id after f/
Responses
Section titled “Responses”The state of the ZIP job
Media typeapplication/json
object
job_id
Used to poll the status of the zip file
string
state
string
url
GET this URL to retrieve the zip file, once state is DONE
string
valid_until
UNIX timestamp
integer
Example
{ "state": "PENDING"}There is no ZIP job with that id, or it has expired